stages:
 - build-npm
 - build-docker

cache:
  paths:
    - node_modules

build-npm:
  stage: build-npm
  image: node:23
  script:
  - npm ci
  - npm run build
  artifacts:
    paths:
      - public
    expire_in: 1 week

build-docker:
  stage: build-docker
  image: docker:24.0.5
  services:
  - name: docker:dind
    alias: docker
  before_script:
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
  - IMAGE_NAME=registry.gitlab.com/nick.hutt/year-planner-front-end/year-planner-front-end:latest
  - docker build . --tag $IMAGE_NAME
  - docker push $IMAGE_NAME
  dependencies:
  - build-npm
  cache: []